Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
funtoo blocks [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
carpman
Advocate
Advocate


Joined: 20 Jun 2002
Posts: 2202
Location: London - UK

PostPosted: Fri Feb 06, 2009 9:03 pm    Post subject: funtoo blocks [solved] Reply with quote

Hello, just playing about with funtoo install in chroot on current gentoo install on laptop.

I have got to chroot stage and updated funtoo git and emerge sync but now if try and emerge anything i get an error.

Code:

emerge -av gentoolkit

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "app-portage/gentoolkit" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-portage/gentoolkit-0.2.4.2-r1 (masked by: GPL-2 license(s))
A copy of the 'GPL-2' license is located at '/usr/portage/licenses/GPL-2'.

- app-portage/gentoolkit-0.2.4.2 (masked by: GPL-2 license(s))
- app-portage/gentoolkit-0.2.4.1 (masked by: GPL-2 license(s))
- app-portage/gentoolkit-0.2.4 (masked by: GPL-2 license(s))
- app-portage/gentoolkit-0.2.4_pre8 (masked by: GPL-2 license(s), missing keyword)
- app-portage/gentoolkit-0.2.3-r1 (masked by: GPL-2 license(s))

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



make.conf has ACCEPT_KEYWORDS="~amd64" so not sure why getting masked error?

cheers
_________________
Work Station - 64bit
Gigabyte GA X48-DQ6 Core2duo E8400
8GB GSkill DDR2-1066
SATA Areca 1210 Raid
BFG OC2 8800 GTS 640mb
--------------------------------
Notebook
Samsung Q45 7100 4gb


Last edited by carpman on Sat Feb 07, 2009 5:06 pm; edited 1 time in total
Back to top
View user's profile Send private message
honp
Guru
Guru


Joined: 25 Sep 2006
Posts: 355
Location: Good old Prague, Czech rep.

PostPosted: Sat Feb 07, 2009 12:01 pm    Post subject: Reply with quote

Hey man and have you tried what it tells to you???
Back to top
View user's profile Send private message
carpman
Advocate
Advocate


Joined: 20 Jun 2002
Posts: 2202
Location: London - UK

PostPosted: Sat Feb 07, 2009 12:50 pm    Post subject: Reply with quote

honp wrote:
Hey man and have you tried what it tells to you???


which is what?
_________________
Work Station - 64bit
Gigabyte GA X48-DQ6 Core2duo E8400
8GB GSkill DDR2-1066
SATA Areca 1210 Raid
BFG OC2 8800 GTS 640mb
--------------------------------
Notebook
Samsung Q45 7100 4gb
Back to top
View user's profile Send private message
naelq
Tux's lil' helper
Tux's lil' helper


Joined: 18 May 2006
Posts: 146

PostPosted: Sat Feb 07, 2009 1:17 pm    Post subject: Reply with quote

Quote:
- app-portage/gentoolkit-0.2.4.2-r1 (masked by: GPL-2 license(s))
A copy of the 'GPL-2' license is located at '/usr/portage/licenses/GPL-2'.


wtf? maybe a dev/mod could explain this?
the docs http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=2&chap=1 doesn't mention any license masking!! :!:
_________________
main: Intel Xeon x3440 / Intel S3420GPLC / 6x 2GB DDR3 ECC REG / nVIDIA G210 / 3x 250GB AAKS || 2x 1TB FALS / Audigy 2 ZS / PCP&C 610w
laptop: Apple MacBook White T7200 / 2GB / 30GB Vertix
Back to top
View user's profile Send private message
carpman
Advocate
Advocate


Joined: 20 Jun 2002
Posts: 2202
Location: London - UK

PostPosted: Sat Feb 07, 2009 1:28 pm    Post subject: Reply with quote

Ok so i may have been using and installing gentoo for years but it appears i am still dumb as i see nothing in that link concerning my problem?


Code:

Code Listing 4.4: Portage warning about masked packages - reason

!!! possible candidates are:

- gnome-base/gnome-2.8.0_pre1 (masked by: ~x86 keyword)
- lm-sensors/lm-sensors-2.8.7 (masked by: -sparc keyword)
- sys-libs/glibc-2.3.4.20040808 (masked by: -* keyword)
- dev-util/cvsd-1.0.2 (masked by: missing keyword)
- games-fps/unreal-tournament-451 (masked by: package.mask)
- sys-libs/glibc-2.3.2-r11 (masked by: profile)



Yes i know what block apps are and how to use package.keywords and package.unmask but as stated in my OP i have entry in

make.conf
Code:

 ACCEPT_KEYWORDS="~amd64"


which i understand negates the need for package.keywords


It is also not just this app but any app i try and emerge?

I have never seen the (masked by: GPL-2 license(s)) and can find nothing about on google

cheers
_________________
Work Station - 64bit
Gigabyte GA X48-DQ6 Core2duo E8400
8GB GSkill DDR2-1066
SATA Areca 1210 Raid
BFG OC2 8800 GTS 640mb
--------------------------------
Notebook
Samsung Q45 7100 4gb
Back to top
View user's profile Send private message
sts
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jul 2007
Posts: 97

PostPosted: Sat Feb 07, 2009 1:43 pm    Post subject: Re: funtoo blocks Reply with quote

Heed this part of the error message:
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


None of those packages are masked by the ~amd64 keyword. Some are hard masked and others appear to be masked for other platforms (not sure what to do about the last part there...).

The masked by license issue, and I'm going to take a guess here, probably has to do with a new feature added to portage. It looks like they are going to allow you to mask packages by license and you don't have something configured properly. Maybe this is documented in the man pages.

It seems like this stuff should be configured out-of-the-box in Funtoo, though. :?

It might be a better idea just to run Gentoo ~arch without all the Funtoo crap on top of it.
Back to top
View user's profile Send private message
sts
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jul 2007
Posts: 97

PostPosted: Sat Feb 07, 2009 1:45 pm    Post subject: Reply with quote

naelq wrote:
Quote:
- app-portage/gentoolkit-0.2.4.2-r1 (masked by: GPL-2 license(s))
A copy of the 'GPL-2' license is located at '/usr/portage/licenses/GPL-2'.


wtf? maybe a dev/mod could explain this?
the docs http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=2&chap=1 doesn't mention any license masking!! :!:

He's using unstable software, there isn't going to be mention of new unsupported features.
Back to top
View user's profile Send private message
carpman
Advocate
Advocate


Joined: 20 Jun 2002
Posts: 2202
Location: London - UK

PostPosted: Sat Feb 07, 2009 2:04 pm    Post subject: Re: funtoo blocks Reply with quote

sts wrote:
Heed this part of the error message:
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


None of those packages are masked by the ~amd64 keyword. Some are hard masked and others appear to be masked for other platforms (not sure what to do about the last part there...).

The masked by license issue, and I'm going to take a guess here, probably has to do with a new feature added to portage. It looks like they are going to allow you to mask packages by license and you don't have something configured properly. Maybe this is documented in the man pages.

It seems like this stuff should be configured out-of-the-box in Funtoo, though. :?

It might be a better idea just to run Gentoo ~arch without all the Funtoo crap on top of it.



Thanks for reply, yes i believe that somewhere i am missing a setting but what?

If it was default setting then i would hope that DR would have documented it.

I am already running stable gentoo and wanted to try (test) out funtoo as it is cutting edge, if did not want unstable i would just stick with what i have.

I can't see the issue just being related to funtoo probably more to do with portage 2.2 and as already said i get this error what ever i try and emerge!

cheers
_________________
Work Station - 64bit
Gigabyte GA X48-DQ6 Core2duo E8400
8GB GSkill DDR2-1066
SATA Areca 1210 Raid
BFG OC2 8800 GTS 640mb
--------------------------------
Notebook
Samsung Q45 7100 4gb
Back to top
View user's profile Send private message
easy target
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jan 2008
Posts: 134

PostPosted: Sat Feb 07, 2009 4:05 pm    Post subject: Reply with quote

Check GLEP 23
Back to top
View user's profile Send private message
carpman
Advocate
Advocate


Joined: 20 Jun 2002
Posts: 2202
Location: London - UK

PostPosted: Sat Feb 07, 2009 5:01 pm    Post subject: Reply with quote

easy target wrote:
Check GLEP 23


thanks that pointed me in right directing, seems that as i had copied over most of make.conf settings the two entries below cause problem with new portage 2.2

Code:

ACCEPT_LICENSE="QUAKE4"
ACCEPT_LICENSE="RTCW-ETEULA"

_________________
Work Station - 64bit
Gigabyte GA X48-DQ6 Core2duo E8400
8GB GSkill DDR2-1066
SATA Areca 1210 Raid
BFG OC2 8800 GTS 640mb
--------------------------------
Notebook
Samsung Q45 7100 4gb
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum